Subject: bug#58282: Distinguishing glasses-mode display

From: uzibalqa <[email-masked]>
Date: Tue, 04 Oct 2022 12:27:36 +0000

------- Original Message -------
On Tuesday, October 4th, 2022 at 11:47 AM, Christopher Dimech <[email-masked]> wrote:

> > Sent: Tuesday, October 04, 2022 at 7:18 PM
> > From: "Eli Zaretskii" [email-masked]
> > To: "uzibalqa" [email-masked]
> > Cc: [email-masked]
> > Subject: bug#58282: Distinguishing glasses-mode display
> > 
> > > Date: Tue, 04 Oct 2022 03:36:34 +0000
> > > From: uzibalqa via "Bug reports for GNU Emacs,
> > > the Swiss army knife of text editors" [email-masked]
> > > 
> > > I am using "glasses-mode", but It is difficult to distinguish which words get changed. For instance, if one has a mixture of CamelCase, Under_scores one would not know which is modified and which is original. Particularly problematic when one is modifying the code.
> > > 
> > > Could "glasses-mode" be made in such way as to indicate that "glasses-mode" changed its display, by default.
> > 
> > I think we have this already: customize glasses-face to some distinct
> > face, like 'bold'. Then the capital letters of identifiers where
> > glasses.el inserted underscores will be shown in bold, and you can
> > visually distinguish them from the original underscores.
> 
> 
> Because I use bold font the default does not work for me. I want to
> make the changes in my init file. How can I change the foreground
> and background colour of the glasses matches? Is it possible for users
> to use a UTF8 Code as separator, and if so, how can this be done?
 
Being able to use unicode for separator would be valuable as the typeface
can remain the same, whilst the separator would clearly indicate that the
symbol used is not part of the original code.